import javafx.scene.image.Image;
import java.util.*;

/**
 * 地面０１
 * <pre>
 * 32ドットのいろいろな地面を扱います。
 * 静的な一般的な地面です。
 * <pre>
 */
public class KSpriteJ01 extends KSpriteJ00 implements KConstant {

	/**
	 * イメージ初期化
	 * <pre>
	 * イメージの取り込みを行います。
	 * </pre>
	 */
	public static void initImage() {

		Image imageJ01_00 = null;
		Image imageJ01_01 = null;
		Image imageJ01_02 = null;
		Image imageJ01_03 = null;
		Image imageJ01_04 = null;
		Image imageJ01_05 = null;
		Image imageJ01_06 = null;
		Image imageJ01_07 = null;
		Image imageJ01_08 = null;
		Image imageJ01_09 = null;
		Image imageJ01_10 = null;

		imageJ01_00 = KImage.getImage("image\\imageJ01_00.gif");
		imageJ01_01 = KImage.getImage("image\\imageJ01_01.gif");
		imageJ01_02 = KImage.getImage("image\\imageJ01_02.gif");
		imageJ01_03 = KImage.getImage("image\\imageJ01_03.gif");
		imageJ01_04 = KImage.getImage("image\\imageJ01_04.gif");
		imageJ01_05 = KImage.getImage("image\\imageJ01_05.gif");
		imageJ01_06 = KImage.getImage("image\\imageJ01_06.gif");
		imageJ01_07 = KImage.getImage("image\\imageJ01_07.gif");
		imageJ01_08 = KImage.getImage("image\\imageJ01_08.gif");
		imageJ01_09 = KImage.getImage("image\\imageJ01_09.gif");
		imageJ01_10 = KImage.getImage("image\\imageJ01_10.gif");

		KSpriteJ01.setImage(KSpriteJ01.class, new Image[]{
			imageJ01_00,
			imageJ01_01,
			imageJ01_02,
			imageJ01_03,
			imageJ01_04,
			imageJ01_05,
			imageJ01_06,
			imageJ01_07,
			imageJ01_08,
			imageJ01_09,
			imageJ01_10
		});

	} // end initImage

	/**
	 * コンストラクタ
	 */
	public KSpriteJ01(KPanel panel, double x, int image){

		super(panel);

		int tekiImage = -1;

		tekiImage = (image == J01)? 0: tekiImage;
		tekiImage = (image == J02)? 1: tekiImage;
		tekiImage = (image == J03)? 2: tekiImage;
		tekiImage = (image == J05)? 3: tekiImage;
		tekiImage = (image == J06)? 4: tekiImage;
		tekiImage = (image == J07)? 5: tekiImage;
		tekiImage = (image == J08)? 6: tekiImage;
		tekiImage = (image == J11)? 7: tekiImage;
		tekiImage = (image == J12)? 8: tekiImage;
		tekiImage = (image == J21)? 9: tekiImage;
		tekiImage = (image == J22)?10: tekiImage;

		setImage(tekiImage);

		super.setLayoutX(x);
		super.setLayoutY(-128);

	} // end KSpriteJ01

	/**
	 * 実行
	 * <pre>
	 * 当オブジェクトのふるまいを決定します。
	 * 継承先で定義をしてください。
	 * <pre>
	 */
	public void run(){

		// スーパークラスを呼び出す
		// 移動はスーパークラスで制御
		super.run();

	}

}
