import javafx.scene.image.Image;
import java.util.*;

/**
 * 地面４２ ヒエログリフ
 */
public class KSpriteJ42 extends KSpriteJ00 implements KConstant {

	/**
	 * イメージ初期化
	 * <pre>
	 * イメージの取り込みを行います。
	 * </pre>
	 */
	public static void initImage() {

		Image imageJ42_0 = null;
		Image imageJ42_1 = null;

		imageJ42_0 = KImage.getImage("image\\imageJ42_0.gif");
		imageJ42_1 = KImage.getImage("image\\imageJ42_1.gif");

		KSpriteJ42.setImage(KSpriteJ42.class, new Image[]{
			imageJ42_0,
			imageJ42_1
		});

	} // end initImage

	/**
	 * コンストラクタ
	 */
	public KSpriteJ42(KPanel panel, double x, int image){

		super(panel);

		int tekiImage = -1;

		tekiImage = (image == J42_0)? 0: tekiImage;
		tekiImage = (image == J42_1)? 1: tekiImage;

		setImage(tekiImage);

		super.setLayoutX(x);
		super.setLayoutY(-128);

	} // end KSpriteJ42

	/**
	 * 実行
	 * <pre>
	 * 当オブジェクトのふるまいを決定します。
	 * 継承先で定義をしてください。
	 * <pre>
	 */
	public void run(){

		// スーパークラスを呼び出す
		// 移動はスーパークラスで制御
		super.run();

	}

}
