import javafx.scene.image.Image;
import java.util.*;

/**
 * シャチホコ
 */
public class KSpriteG64 extends KSpriteG00 implements KConstant {

	/** 被弾数 */
	private		int					hidan		= 0;

	/**
	 * イメージ初期化
	 * <pre>
	 * イメージの取り込みを行います。
	 * </pre>
	 */
	public static void initImage() {

		Image imageG64_0 = null;
		Image imageG64_1 = null;

		imageG64_0 = KImage.getImage("image\\imageG64_0.gif");
		imageG64_1 = KImage.getImage("image\\imageG64_1.gif");

		KSpriteG64.setImage(KSpriteG64.class, new Image[]{
			imageG64_0,
			imageG64_1
		});

	} // end initImage

	/**
	 * コンストラクタ
	 */
	public KSpriteG64(KPanel panel, double x){

		super(panel);

		super.setLayoutX(x);
		super.setLayoutY(-128);

	} // end KSpriteG64

	/**
	 * 実行
	 * <pre>
	 * 当オブジェクトのふるまいを決定します。
	 * 継承先で定義をしてください。
	 * <pre>
	 */
	public void run(){

		// スーパークラスを呼び出す
		// 移動はスーパークラスで制御
		super.run();

	}

	/**
	 * 爆発
	 */
	public void bomb(){

		// 被弾数＋１
		hidan++;

		// 被弾数が10発の場合、
		if(hidan == 10){

			// シャチホコ出現
			setImage(1);

			// シャチホコ出現
			((KCtrlSKK)panel.getKCtrl()).appearSYATIHOKO();

		// 被弾数が25発の場合、
		}else if(hidan >= 25){

			// １０万点ボーナス
			((KCtrlSKK)panel.getKCtrl()).addScore(100000);

			// シャチホコ破壊
			((KCtrlSKK)panel.getKCtrl()).bombSYATIHOKO();

			super.bomb();

		// 上記以外、
		}else{

			// 地上物耐える音スタート
			((KCtrlSKK)panel.getKCtrl()).startWaveJimenTaeru();

		} // end if

	} // end bomb

}
