import javafx.scene.image.Image;
import java.util.*;

/**
 * 地面０４ 64ドット
 */
public class KSpriteJ04 extends KSpriteJ00 implements KConstant {

	/**
	 * イメージ初期化
	 * <pre>
	 * イメージの取り込みを行います。
	 * </pre>
	 */
	public static void initImage() {

		Image imageJ04_00 = null;
		Image imageJ04_01 = null;

		imageJ04_00 = KImage.getImage("image\\imageJ04_00.gif");
		imageJ04_01 = KImage.getImage("image\\imageJ04_01.gif");

		KSpriteJ04.setImage(KSpriteJ04.class, new Image[]{
			imageJ04_00,
			imageJ04_01
		});

	} // end initImage

	/**
	 * コンストラクタ
	 */
	public KSpriteJ04(KPanel panel, double x){

		super(panel);

		super.setLayoutX(x);
		super.setLayoutY(-128);

		// Y移動量を設定
		super.setMY(8.0);

	}

	/**
	 * 実行
	 * <pre>
	 * 当オブジェクトのふるまいを決定します。
	 * 継承先で定義をしてください。
	 * <pre>
	 */
	public void run(){

		// スーパークラスを呼び出す
		// 移動はスーパークラスで制御
		super.run();

	} // end run

}
